"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = default_1;
const schematics_1 = require("@angular-devkit/schematics");
const tasks_1 = require("@angular-devkit/schematics/tasks");
const ng_ast_utils_1 = require("@schematics/angular/utility/ng-ast-utils");
const project_1 = require("@po-ui/ng-schematics/project");
const module_1 = require("@po-ui/ng-schematics/module");
const package_config_1 = require("@po-ui/ng-schematics/package-config");
const changes_1 = require("./changes");
function default_1() {
    return (0, schematics_1.chain)([(0, package_config_1.updatePackageJson)('19.12.0', changes_1.updateDepedenciesVersion), createUpgradeRule(), postUpdate()]);
}
function postUpdate() {
    return (_, context) => {
        context.addTask(new tasks_1.NodePackageInstallTask());
    };
}
function createUpgradeRule() {
    return (tree, context) => {
        var _a;
        const logger = context.logger;
        const workspace = (_a = (0, project_1.getWorkspaceConfigGracefully)(tree)) !== null && _a !== void 0 ? _a : {};
        if (workspace === null) {
            logger.error('Não foi possível encontrar o arquivo de configuração de workspace.');
            return;
        }
        const projectNames = Object.keys(workspace.projects);
        for (const projectName of projectNames) {
            const project = workspace.projects[projectName];
            const appModulePath = (0, ng_ast_utils_1.getAppModulePath)(tree, (0, project_1.getProjectMainFile)(project));
            //adiciona httpClientModule no app
            (0, module_1.addModuleImportToModule)(tree, appModulePath, changes_1.httpClientModuleName, changes_1.httpClientModuleSourcePath);
        }
    };
}
//# sourceMappingURL=index.js.map